diff -Naur touchmegames-0.2.5/src/secretphrase/interface.cpp touchmegames-0.2.5.new/src/secretphrase/interface.cpp
--- touchmegames-0.2.5/src/secretphrase/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/secretphrase/interface.cpp	2014-02-09 15:47:23.489829056 +0100
@@ -85,7 +85,7 @@
     
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, false);
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/exit.gif");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/images/exit.gif");
     image = loadMainImage("exit.gif");
     gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox), "button-press-event",
@@ -123,16 +123,16 @@
     gtk_widget_modify_fg(label, (GtkStateType)0, &c);
     gtk_box_pack_start((GtkBox *)hbox, label, FALSE, FALSE, 5);
     
-//     guessesLeftImg = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/3.gif");
+//     guessesLeftImg = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/3.gif");
     guessesLeftImg = loadImage("3.gif");
     gtk_box_pack_start((GtkBox *)hbox, guessesLeftImg, FALSE, FALSE, 10);
     
     fixed = gtk_fixed_new();
-    gtk_fixed_set_has_window((GtkFixed *)fixed, TRUE);
+    gtk_widget_set_has_window((GtkWidget *)fixed, TRUE);
     gtk_widget_set_size_request(fixed, 260, 75);
     
-//     wheelImage1 = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/wheel.gif");
-//     wheelImage2 = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/wheel.gif");
+//     wheelImage1 = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/wheel.gif");
+//     wheelImage2 = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/wheel.gif");
     wheelImage1 = loadImage("wheel.gif");
     wheelImage2 = loadImage("wheel.gif");
     gtk_fixed_put((GtkFixed *)fixed, wheelImage1, 0, 0);
@@ -167,7 +167,7 @@
     
     for (int x = 0; x < 14; ++x) {
         for (int y = 0; y < 4; ++y) {
-//             centerLetters[y][x] = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/back.gif");
+//             centerLetters[y][x] = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/back.gif");
             centerLetters[y][x] = loadImage("back.gif");
             gtk_table_attach_defaults((GtkTable *)table, centerLetters[y][x], x, x + 1, y, y + 1);
         }
@@ -188,7 +188,7 @@
             
             eventBox = gtk_event_box_new();
             gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
-//             sstr << "/usr/local/share/touchmegames/secretphrase/images/" << (char)(x + (y * 13) + 'a') << ".gif";
+//             sstr << "/usr/share/touchmegames/secretphrase/images/" << (char)(x + (y * 13) + 'a') << ".gif";
 //             lowerLetters[y][x] = gtk_image_new_from_file(sstr.str().c_str());
             sstr << (char)(x + (y * 13) + 'a') << ".gif";
             lowerLetters[y][x] = loadImage(sstr.str().c_str());
@@ -251,11 +251,11 @@
     gtk_box_pack_start((GtkBox *)vbox, hbox, FALSE, FALSE, 0);
     for (int i = 0; i < 20; ++i) {
         if (i & 1) {
-//             image = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/lhcurtain.gif");
+//             image = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/lhcurtain.gif");
             image = loadImage("lhcurtain.gif");
         }
         else {
-//             image = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/rhcurtain.gif");
+//             image = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/rhcurtain.gif");
             image = loadImage("rhcurtain.gif");
         }
         gtk_box_pack_start((GtkBox *)hbox, image, FALSE, FALSE, 0);
@@ -282,7 +282,7 @@
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
     
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/misc.gif");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/misc.gif");
     image = loadImage("misc.gif");
     gtk_container_add((GtkContainer *)eventBox, image);
     g_object_set_data((GObject *)eventBox, KEY_STR, (void *)(CatMisc));
@@ -296,7 +296,7 @@
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
     
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/sports.gif");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/sports.gif");
     image = loadImage("sports.gif");
     gtk_container_add((GtkContainer *)eventBox, image);
     g_object_set_data((GObject *)eventBox, KEY_STR, (void *)(CatSports));
@@ -311,7 +311,7 @@
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
     
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/music.gif");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/music.gif");
     image = loadImage("music.gif");
     gtk_container_add((GtkContainer *)eventBox, image);
     g_object_set_data((GObject *)eventBox, KEY_STR, (void *)(CatMusic));
@@ -325,7 +325,7 @@
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, FALSE);
     
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/video.gif");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/video.gif");
     image = loadImage("video.gif");
     gtk_container_add((GtkContainer *)eventBox, image);
     g_object_set_data((GObject *)eventBox, KEY_STR, (void *)(CatVideo));
@@ -368,7 +368,7 @@
     progress.init();
     progress.width(101);
     progress.height(26);
-//     progress.image("/usr/local/share/touchmegames/secretphrase/images/progress.gif");
+//     progress.image("/usr/share/touchmegames/secretphrase/images/progress.gif");
     progress.defaultImage("progress1.gif");
     gtk_box_pack_start((GtkBox *)hbox, progress.widget(), FALSE, FALSE, 10);
     pango_font_description_free(rcstyle->font_desc);
@@ -394,7 +394,7 @@
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, false);
     g_signal_connect(G_OBJECT(eventBox), "button-press-event",
             G_CALLBACK(solvePhrase), (gpointer)this);
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/secretphrase/images/solvenow.gif");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/secretphrase/images/solvenow.gif");
     image = loadImage("solvenow.gif");
     gtk_container_add((GtkContainer *)eventBox, image);
     gtk_box_pack_start((GtkBox *)normVbox, eventBox, FALSE, FALSE, 5);
@@ -432,7 +432,7 @@
     gtk_box_pack_start((GtkBox *)topvbox, createInitScreen(), FALSE, FALSE, 0);
     
     gtk_widget_show_all(topvbox);
-    gtk_widget_hide_all(normVbox);
+    gtk_widget_hide(normVbox);
     
     // I'm sure there's a better way to get the keyboard input
     // if there is no real keyboard widget, but I didn't read
@@ -457,7 +457,7 @@
     wheelBarX1 = 0;
     wheelBarX2 = 2210;
     
-    gtk_widget_hide_all(normVbox);
+    gtk_widget_hide(normVbox);
     gameState = SELECTING_CATEGORY;
     
     currentScore = 0;
diff -Naur touchmegames-0.2.5/src/secretphrase/Makefile touchmegames-0.2.5.new/src/secretphrase/Makefile
--- touchmegames-0.2.5/src/secretphrase/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/secretphrase/Makefile	2014-02-09 15:47:23.442829054 +0100
@@ -66,21 +66,21 @@
 	(cd phrasegenerator; $(MAKE) clean;)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/phrases ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/phrases; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/phrases ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/phrases; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp phrases/*.* /usr/local/share/touchmegames/$(GAME_NAME)/phrases
+	cp $(GAME_NAME).gif /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
+	cp phrases/*.* /usr/share/touchmegames/$(GAME_NAME)/phrases
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
diff -Naur touchmegames-0.2.5/src/secretphrase/support.cpp touchmegames-0.2.5.new/src/secretphrase/support.cpp
--- touchmegames-0.2.5/src/secretphrase/support.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/secretphrase/support.cpp	2014-02-09 15:47:23.450829055 +0100
@@ -90,7 +90,7 @@
     for (int x = 0; x < 14; ++x) {
         for (int y = 0; y < 4; ++y) {
 //             gtk_image_set_from_file((GtkImage *)centerLetters[y][x], 
-//                             "/usr/local/share/touchmegames/secretphrase/images/back.gif");
+//                             "/usr/share/touchmegames/secretphrase/images/back.gif");
             reloadImage(centerLetters[y][x], "back.gif");
             letters[y][x] = ' ';
         }
@@ -100,7 +100,7 @@
     
     vowelsAllowed = false;
     
-//     gtk_image_set_from_file((GtkImage *)guessesLeftImg, "/usr/local/share/touchmegames/secretphrase/images/3.gif");
+//     gtk_image_set_from_file((GtkImage *)guessesLeftImg, "/usr/share/touchmegames/secretphrase/images/3.gif");
     reloadImage(guessesLeftImg, "3.gif");
     guessesLeft = 3;
     
@@ -117,7 +117,7 @@
     for (int y = 0; y < 2; ++y) {
         for (int x = 0; x < 13; ++x) {
             std::stringstream sstr;
-//             sstr << "/usr/local/share/touchmegames/secretphrase/images/" << (char)(x + (y * 13) + 'a') << ".gif";
+//             sstr << "/usr/share/touchmegames/secretphrase/images/" << (char)(x + (y * 13) + 'a') << ".gif";
 //             gtk_image_set_from_file((GtkImage *)lowerLetters[y][x], sstr.str().c_str());
             sstr << (char)(x + (y * 13) + 'a') << ".gif";
             reloadImage(lowerLetters[y][x], sstr.str().c_str());
@@ -287,30 +287,30 @@
             if (letters[y][x] == '\'') {
                 
 //                 gtk_image_set_from_file((GtkImage *)centerLetters[y][x],
-//                                 "/usr/local/share/touchmegames/secretphrase/images/apost.gif");
+//                                 "/usr/share/touchmegames/secretphrase/images/apost.gif");
                 reloadImage(centerLetters[y][x], "apost.gif");
                 letters[y][x] = ' ';
             }
             else if (letters[y][x] == '-') {
 //                 gtk_image_set_from_file((GtkImage *)centerLetters[y][x],
-//                                 "/usr/local/share/touchmegames/secretphrase/images/dash.gif");
+//                                 "/usr/share/touchmegames/secretphrase/images/dash.gif");
                 reloadImage(centerLetters[y][x], "dash.gif");
                 letters[y][x] = ' ';
             }
             else if (letters[y][x] == ',') {
 //                 gtk_image_set_from_file((GtkImage *)centerLetters[y][x],
-//                                 "/usr/local/share/touchmegames/secretphrase/images/comma.gif");
+//                                 "/usr/share/touchmegames/secretphrase/images/comma.gif");
                 reloadImage(centerLetters[y][x], "comma.gif");
                 letters[y][x] = ' ';
             }
             else if (letters[y][x] != ' ') {
 //                 gtk_image_set_from_file((GtkImage *)centerLetters[y][x],
-//                                 "/usr/local/share/touchmegames/secretphrase/images/back.gif");
+//                                 "/usr/share/touchmegames/secretphrase/images/back.gif");
                 reloadImage(centerLetters[y][x], "back.gif");
             }
             else {
 //                 gtk_image_set_from_file((GtkImage *)centerLetters[y][x],
-//                                 "/usr/local/share/touchmegames/secretphrase/images/blank.gif");
+//                                 "/usr/share/touchmegames/secretphrase/images/blank.gif");
                 reloadImage(centerLetters[y][x], "blank.gif");
             }
         }
@@ -338,7 +338,7 @@
             
             if (letters[i][l] == ch) {
                 std::string str;
-//                 str = "/usr/local/share/touchmegames/secretphrase/images/";
+//                 str = "/usr/share/touchmegames/secretphrase/images/";
                 str = INSTALL_DIR;
                 str += "secretphrase/images/";
                 str += ch;
@@ -379,7 +379,7 @@
         for (int x = 0; x < 14; ++x) {
             if (letters[y][x] != ' ') {
                 std::string str;
-//                 str = "/usr/local/share/touchmegames/secretphrase/images/";
+//                 str = "/usr/share/touchmegames/secretphrase/images/";
                 str = INSTALL_DIR;
                 str += "secretphrase/images/";
                 str += letters[y][x];
diff -Naur touchmegames-0.2.5/src/sudoku/events.cpp touchmegames-0.2.5.new/src/sudoku/events.cpp
--- touchmegames-0.2.5/src/sudoku/events.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/sudoku/events.cpp	2014-02-09 15:47:24.767829100 +0100
@@ -54,7 +54,7 @@
 
 gboolean Sudoku::timeout(gpointer ptr) {
     Sudoku *sudoku(reinterpret_cast<Sudoku *>(ptr));
-    int second, minute;
+    long second, minute;
     std::stringstream sstr;
     std::string str;
 
@@ -67,12 +67,12 @@
             if (sudoku->timeLeft <= 0) {
                 sudoku->gameState = OUT_OF_TIME1;
             }
-            sudoku->progress.percent((int)sudoku->timeLeft / 6);
+            sudoku->progress.percent((long)sudoku->timeLeft / 6);
             
-            second = ((int)(sudoku->timeLeft / 5)) % 60;
-            minute = (int)(sudoku->timeLeft / 5) / 60;
+            second = ((long)(sudoku->timeLeft / 5)) % 60;
+            minute = (long)(sudoku->timeLeft / 5) / 60;
             
-            sstr << (int)minute << ':' << std::setw(2) << std::setfill('0') << (int)second;
+            sstr << (long)minute << ':' << std::setw(2) << std::setfill('0') << (long)second;
             
             sudoku->progress.text(sstr.str().c_str());
             
@@ -105,7 +105,7 @@
             break;
         case TAKE_ROUND_SCORE:
             if (sudoku->round == 1) {
-                int score;
+                long score;
                 score = 50000 - sudoku->errors * 5000 + sudoku->timeLeft * 150;
                 sstr << score;
                 str = sstr.str();
@@ -113,7 +113,7 @@
                 gtk_label_set_text((GtkLabel *)sudoku->roundScoreLabel, str.c_str());
             }
             else {
-                int score;
+                long score;
                 score = 75000 - sudoku->errors * 5000 + sudoku->timeLeft * 150;
                 sstr << score;
                 str = sstr.str();
@@ -179,7 +179,7 @@
         sudoku->gameState = RUNNING;
     }
     image = gtk_bin_get_child((GtkBin *)widget);
-    if ((int)g_object_get_data((GObject *)widget, KEY_STR) < 7) {
+    if ((long)g_object_get_data((GObject *)widget, KEY_STR) < 7) {
         
         if (sudoku->currentInt != 0) {
             std::stringstream sstr;
@@ -203,18 +203,18 @@
                 sudoku->gameState = TAKE_PUZZLE_SCORE;
             }
         }
-        else if ((int)g_object_get_data((GObject *)widget, KEY_STR) < 7) {
+        else if ((long)g_object_get_data((GObject *)widget, KEY_STR) < 7) {
             sudoku->reloadImage(image, "null.gif");
             g_object_set_data((GObject *)widget, KEY_STR, 0);
         }
     }
-    else if ((int)g_object_get_data((GObject *)widget, KEY_STR) > 6) {
+    else if ((long)g_object_get_data((GObject *)widget, KEY_STR) > 6) {
         // it's a prefilled number, set the currentInt to this
-        sudoku->currentInt = 255 - (int)g_object_get_data((GObject *)widget, KEY_STR);
+        sudoku->currentInt = 255 - (long)g_object_get_data((GObject *)widget, KEY_STR);
     }
     else if (sudoku->currentInt == 0) {
         
-        if ((int)g_object_get_data((GObject *)widget, KEY_STR) < 7) {
+        if ((long)g_object_get_data((GObject *)widget, KEY_STR) < 7) {
             sudoku->reloadImage(image, "null.gif");
             g_object_set_data((GObject *)widget, KEY_STR, 0);
         }
@@ -224,7 +224,7 @@
 void Sudoku::numberClicked(GtkWidget *widget, GdkEventKey *event, gpointer ptr) {
     Sudoku *sudoku(reinterpret_cast<Sudoku *>(ptr));
     
-    sudoku->currentInt = (int)g_object_get_data((GObject *)widget, KEY_STR);
+    sudoku->currentInt = (long)g_object_get_data((GObject *)widget, KEY_STR);
 }
 
 void Sudoku::solveClicked(GtkWidget *widget, gpointer ptr) {
diff -Naur touchmegames-0.2.5/src/sudoku/interface.cpp touchmegames-0.2.5.new/src/sudoku/interface.cpp
--- touchmegames-0.2.5/src/sudoku/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/sudoku/interface.cpp	2014-02-09 15:47:24.830829102 +0100
@@ -269,7 +269,7 @@
     eventBox = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox, false);
     
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/buttons/button_quit.png");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/images/buttons/button_quit.png");
     image = loadMainImage("buttons/button_quit.png");
     gtk_widget_add_events(eventBox, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox), "button-press-event",
diff -Naur touchmegames-0.2.5/src/sudoku/Makefile touchmegames-0.2.5.new/src/sudoku/Makefile
--- touchmegames-0.2.5/src/sudoku/Makefile	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/sudoku/Makefile	2014-02-09 15:47:24.757829099 +0100
@@ -59,21 +59,21 @@
 	rm -rf *.o *~ *.a $(GAME_NAME)
 
 install:
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME) ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME); \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME) ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME); \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/sounds ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/sounds; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/sounds ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/sounds; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/images ]; \
-	then mkdir /usr/local/share/touchmegames/$(GAME_NAME)/images; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/images ]; \
+	then mkdir /usr/share/touchmegames/$(GAME_NAME)/images; \
 	fi
-	if [ ! -e /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
-	then touch /usr/local/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
+	if [ ! -e /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores ]; \
+	then touch /usr/share/touchmegames/$(GAME_NAME)/$(GAME_NAME).scores; \
 	fi
-	cp $(GAME_NAME).gif /usr/local/share/touchmegames/$(GAME_NAME)
-	cp images/*.* /usr/local/share/touchmegames/$(GAME_NAME)/images
-	cp sounds/*.* /usr/local/share/touchmegames/$(GAME_NAME)/sounds
+	cp $(GAME_NAME).gif /usr/share/touchmegames/$(GAME_NAME)
+	cp images/*.* /usr/share/touchmegames/$(GAME_NAME)/images
+	cp sounds/*.* /usr/share/touchmegames/$(GAME_NAME)/sounds
 	if [ -e $(GAME_NAME) ]; \
 	then cp $(GAME_NAME) /usr/bin; \
 	fi
diff -Naur touchmegames-0.2.5/src/threescompany/events.cpp touchmegames-0.2.5.new/src/threescompany/events.cpp
--- touchmegames-0.2.5/src/threescompany/events.cpp	2009-03-14 06:09:19.000000000 +0100
+++ touchmegames-0.2.5.new/src/threescompany/events.cpp	2014-02-09 15:47:22.792829032 +0100
@@ -53,8 +53,8 @@
 int ThreesCompany::checkTrip(int hold) {
     int trip[3];
     
-    for (int i = 0; i < 3; ++i) {
-        trip[i] = (int)g_object_get_data((GObject *)cardHoldImages[hold][i], KEY_STR);
+    for (long i = 0; i < 3; ++i) {
+        trip[i] = (long)g_object_get_data((GObject *)cardHoldImages[hold][i], KEY_STR);
 
         // adjust the number for the actual value
         trip[i] = 13 - ((trip[i] - 1) / 4);
@@ -108,7 +108,7 @@
 
 void ThreesCompany::cardSelected(GtkWidget *widget, GdkEventKey *event, gpointer ptr) {
     ThreesCompany *vp(reinterpret_cast<ThreesCompany *>(ptr));
-    int i = 0;
+    long i = 0;
 }
 
 void ThreesCompany::dealPressed(GtkWidget *widget, gpointer *ptr) {
@@ -157,7 +157,7 @@
 
 void ThreesCompany::holdReleased(GtkWidget *widget, GdkEventButton *event, gpointer ptr) {
     ThreesCompany *tc(reinterpret_cast<ThreesCompany *>(ptr));
-    int card0(-1), card1(-1), holdCard(0), previousCard(-1), previousHold(-1), hold;
+    long card0(-1), card1(-1), holdCard(0), previousCard(-1), previousHold(-1), hold;
     GtkWidget *widget1;
     
     if (!tc->shown) {
@@ -167,7 +167,7 @@
     gtk_widget_destroy(tc->cardMask);
     tc->cardMask = NULL;
     tc->shown = false;
-    for (int i = 0; i < 4; ++i) {
+    for (long i = 0; i < 4; ++i) {
         
         if (widget == tc->cardHolds[i]) {
             hold = i;
@@ -188,7 +188,7 @@
     }
     if (tc->cardMasksCard == tc->cards[2]) {
         tc->cardHoldImages[hold][holdCard] 
-                        = tc->createCard((int)g_object_get_data((GObject *)tc->cards[2], KEY_STR));
+                        = tc->createCard((long)g_object_get_data((GObject *)tc->cards[2], KEY_STR));
             
         gtk_fixed_put((GtkFixed *)tc->fixed, tc->cardHoldImages[hold][holdCard], 160 + (131 * hold), 
                         200 + (30 * holdCard));
@@ -196,10 +196,10 @@
         gtk_widget_show_all(tc->cardHoldImages[hold][holdCard]);
         
         if (tc->cards[0] != NULL) {
-            card0 = (int)g_object_get_data((GObject *)tc->cards[0], KEY_STR);
+            card0 = (long)g_object_get_data((GObject *)tc->cards[0], KEY_STR);
         }
         if (tc->cards[1] != NULL) {
-            card1 = (int)g_object_get_data((GObject *)tc->cards[1], KEY_STR);
+            card1 = (long)g_object_get_data((GObject *)tc->cards[1], KEY_STR);
         }
         
         if (tc->cards[0] != NULL) {
@@ -235,7 +235,7 @@
         }
         
         if (tc->cardHoldImages[hold][2] != NULL) {
-            int ret = tc->checkTrip(hold);
+            long ret = tc->checkTrip(hold);
             if (ret) {
                 tc->clearHold(hold, ret);
             }
@@ -253,7 +253,7 @@
         previousCard = 2;
     }
     if (previousCard != -1) {
-        card0 = (int)g_object_get_data((GObject *)tc->topCardHoldImages[previousCard], KEY_STR);
+        card0 = (long)g_object_get_data((GObject *)tc->topCardHoldImages[previousCard], KEY_STR);
         gtk_widget_destroy(tc->topCardHoldImages[previousCard]);
         tc->topCardHoldImages[previousCard] = NULL;
         tc->cardHoldImages[hold][holdCard] = tc->createCard(card0);
@@ -262,15 +262,15 @@
         gtk_widget_show_all(tc->cardHoldImages[hold][holdCard]);
         
         if (tc->cardHoldImages[hold][2] != NULL) {
-            int ret = tc->checkTrip(hold);
+            long ret = tc->checkTrip(hold);
             if (ret) {
                 tc->clearHold(hold, ret);
             }
         }
         return;
     }
-    for (int i = 0; i < 4; ++i) {
-        for (int j = 0; j < 3; ++j) {
+    for (long i = 0; i < 4; ++i) {
+        for (long j = 0; j < 3; ++j) {
             if (tc->cardMasksCard == tc->cardHoldImages[i][j] && i != hold) {
                 previousCard = j;
                 previousHold = i;
@@ -278,7 +278,7 @@
         }
     }
     if (previousCard != -1) {
-        card0 = (int)g_object_get_data((GObject *)tc->cardHoldImages[previousHold][previousCard], KEY_STR);
+        card0 = (long)g_object_get_data((GObject *)tc->cardHoldImages[previousHold][previousCard], KEY_STR);
         gtk_widget_destroy(tc->cardHoldImages[previousHold][previousCard]);
         tc->cardHoldImages[previousHold][previousCard] = NULL;
         tc->cardHoldImages[hold][holdCard] = tc->createCard(card0);
@@ -287,7 +287,7 @@
         gtk_widget_show_all(tc->cardHoldImages[hold][holdCard]);
         
         if (tc->cardHoldImages[hold][2] != NULL) {
-            int ret = tc->checkTrip(hold);
+            long ret = tc->checkTrip(hold);
             if (ret) {
                 tc->clearHold(hold, ret);
             }
@@ -300,7 +300,7 @@
 
 void ThreesCompany::topHoldReleased(GtkWidget *widget, GdkEventButton *event, gpointer ptr) {
     ThreesCompany *tc(reinterpret_cast<ThreesCompany *>(ptr));
-    int card0(-1), card1(-1), holdCard(0), previousCard(-1), previousHold(-1), hold;
+    long card0(-1), card1(-1), holdCard(0), previousCard(-1), previousHold(-1), hold;
     GtkWidget *widget1;
     
     if (!tc->shown) {
@@ -311,7 +311,7 @@
     tc->cardMask = NULL;
     tc->shown = false;
     
-    for (int i = 0; i < 3; ++i) {
+    for (long i = 0; i < 3; ++i) {
         if (widget == tc->topCardHolds[i]) {
             hold = i;
             i = 4;
@@ -323,17 +323,17 @@
     }
     
     if (tc->cardMasksCard == tc->cards[2]) {
-        tc->topCardHoldImages[hold] = tc->createCard((int)g_object_get_data((GObject *)tc->cards[2], KEY_STR));
+        tc->topCardHoldImages[hold] = tc->createCard((long)g_object_get_data((GObject *)tc->cards[2], KEY_STR));
         
         gtk_fixed_put((GtkFixed *)tc->fixed, tc->topCardHoldImages[hold], 185 + (173 * hold), 40);
         
         gtk_widget_show_all(tc->topCardHoldImages[hold]);
         
         if (tc->cards[0] != NULL) {
-            card0 = (int)g_object_get_data((GObject *)tc->cards[0], KEY_STR);
+            card0 = (long)g_object_get_data((GObject *)tc->cards[0], KEY_STR);
         }
         if (tc->cards[1] != NULL) {
-            card1 = (int)g_object_get_data((GObject *)tc->cards[1], KEY_STR);
+            card1 = (long)g_object_get_data((GObject *)tc->cards[1], KEY_STR);
         }
         
         if (tc->cards[0] != NULL) {
@@ -382,7 +382,7 @@
         previousCard = 2;
     }
     if (previousCard != -1) {
-        card0 = (int)g_object_get_data((GObject *)tc->topCardHoldImages[previousCard], KEY_STR);
+        card0 = (long)g_object_get_data((GObject *)tc->topCardHoldImages[previousCard], KEY_STR);
         gtk_widget_destroy(tc->topCardHoldImages[previousCard]);
         tc->topCardHoldImages[previousCard] = NULL;
         tc->topCardHoldImages[hold] = tc->createCard(card0);
@@ -391,8 +391,8 @@
         gtk_widget_show_all(tc->topCardHoldImages[hold]);
         return;
     }
-    for (int i = 0; i < 4; ++i) {
-        for (int j = 0; j < 3; ++j) {
+    for (long i = 0; i < 4; ++i) {
+        for (long j = 0; j < 3; ++j) {
             if (tc->cardMasksCard == tc->cardHoldImages[i][j]) {
                 previousCard = j;
                 previousHold = i;
@@ -400,7 +400,7 @@
         }
     }
     if (previousCard != -1) {
-        card0 = (int)g_object_get_data((GObject *)tc->cardHoldImages[previousHold][previousCard], KEY_STR);
+        card0 = (long)g_object_get_data((GObject *)tc->cardHoldImages[previousHold][previousCard], KEY_STR);
         gtk_widget_destroy(tc->cardHoldImages[previousHold][previousCard]);
         tc->cardHoldImages[previousHold][previousCard] = NULL;
         tc->topCardHoldImages[hold] = tc->createCard(card0);
@@ -414,7 +414,7 @@
 void ThreesCompany::takeScorePressed(GtkWidget *widget, GdkEventButton *event, gpointer ptr) {
     ThreesCompany *tc(reinterpret_cast<ThreesCompany *>(ptr));
 //     gtk_image_set_from_file((GtkImage *)gtk_bin_get_child((GtkBin *)widget), 
-//                                 "/usr/local/share/touchmegames/threescompany/images/takescoredown.xpm");
+//                                 "/usr/share/touchmegames/threescompany/images/takescoredown.xpm");
     tc->reloadImage(gtk_bin_get_child((GtkBin *)widget), "takescoredown.xpm");
 
 }
@@ -423,7 +423,7 @@
     ThreesCompany *tc(reinterpret_cast<ThreesCompany *>(ptr));
     
 //     gtk_image_set_from_file((GtkImage *)gtk_bin_get_child((GtkBin *)widget), 
-//                             "/usr/local/share/touchmegames/threescompany/images/takescoreup.xpm");
+//                             "/usr/share/touchmegames/threescompany/images/takescoreup.xpm");
 //     tc->reloadImage(gtk_bin_get_child((GtkBin *)widget), "takescoreup.xpm");
     ++tc->round;
     if (tc->round <= 3) {
diff -Naur touchmegames-0.2.5/src/threescompany/interface.cpp touchmegames-0.2.5.new/src/threescompany/interface.cpp
--- touchmegames-0.2.5/src/threescompany/interface.cpp	2009-03-14 06:09:20.000000000 +0100
+++ touchmegames-0.2.5.new/src/threescompany/interface.cpp	2014-02-09 15:47:22.817829033 +0100
@@ -126,7 +126,7 @@
     }
     cardMask = gtk_event_box_new();
     gtk_widget_set_size_request(cardMask, 50, 50);
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/threescompany/images/mask.xpm");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/threescompany/images/mask.xpm");
     image = loadImage("mask.png");
     gtk_container_add((GtkContainer *)cardMask, image);
     gtk_event_box_set_visible_window((GtkEventBox *)cardMask, FALSE);
@@ -318,7 +318,7 @@
     
     eventBox2 = gtk_event_box_new();
     gtk_event_box_set_visible_window((GtkEventBox *)eventBox2, false);
-//     image = gtk_image_new_from_file("/usr/local/share/touchmegames/images/exit.gif");
+//     image = gtk_image_new_from_file("/usr/share/touchmegames/images/exit.gif");
     image = loadMainImage("buttons/button_quit.png");
     gtk_widget_add_events(eventBox2, GDK_BUTTON_PRESS_MASK);
     g_signal_connect(G_OBJECT(eventBox2), "button-press-event",
